import * as Y from 'yjs';
import { EditorState, Transaction } from 'prosemirror-state';
import { Decoration, DecorationSet } from 'prosemirror-view';
import { AddAnnotationAction, UpdateAnnotationAction } from './collaboration-annotation';
import { AnnotationItem } from './AnnotationItem';
export interface AnnotationStateOptions {
    HTMLAttributes: {
        [key: string]: any;
    };
    map: Y.Map<any>;
    instance: string;
}
export declare class AnnotationState {
    options: AnnotationStateOptions;
    decorations: DecorationSet<any>;
    constructor(options: AnnotationStateOptions);
    randomId(): string;
    findAnnotation(id: string): Decoration<{
        [key: string]: any;
    }> | undefined;
    addAnnotation(action: AddAnnotationAction, state: EditorState): void;
    updateAnnotation(action: UpdateAnnotationAction): void;
    deleteAnnotation(id: string): void;
    annotationsAt(position: number): AnnotationItem[];
    createDecorations(state: EditorState): void;
    apply(transaction: Transaction, state: EditorState): this;
}
