import * as Y from 'yjs';
import { Extension } from '@tiptap/core';
export interface AddAnnotationAction {
    type: 'addAnnotation';
    data: any;
    from: number;
    to: number;
}
export interface UpdateAnnotationAction {
    type: 'updateAnnotation';
    id: string;
    data: any;
}
export interface DeleteAnnotationAction {
    type: 'deleteAnnotation';
    id: string;
}
export interface AnnotationOptions {
    HTMLAttributes: {
        [key: string]: any;
    };
    /**
     * An event listener which receives annotations for the current selection.
     */
    onUpdate: (items: [any?]) => {};
    /**
     * An initialized Y.js document.
     */
    document: Y.Doc | null;
    /**
     * Name of a Y.js map, can be changed to sync multiple fields with one Y.js document.
     */
    field: string;
    /**
     * A raw Y.js map, can be used instead of `document` and `field`.
     */
    map: Y.Map<any> | null;
    instance: string;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        annotation: {
            addAnnotation: (data: any) => ReturnType;
            updateAnnotation: (id: string, data: any) => ReturnType;
            deleteAnnotation: (id: string) => ReturnType;
        };
    }
}
export declare const CollaborationAnnotation: Extension<AnnotationOptions>;
