import { Mark } from '@tiptap/core';
export interface SuperscriptExtensionOptions {
    HTMLAttributes: Object;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        superscript: {
            /**
             * Set a superscript mark
             */
            setSuperscript: () => ReturnType;
            /**
             * Toggle a superscript mark
             */
            toggleSuperscript: () => ReturnType;
            /**
             * Unset a superscript mark
             */
            unsetSuperscript: () => ReturnType;
        };
    }
}
export declare const Superscript: Mark<SuperscriptExtensionOptions>;
